// knihovna Simulation
// Poskytuje zakladni tridy pro diskretni simulaci
//////////////////////////////////////////////////////////////////////

#if !defined(SIMULATION_H)
#define SIMULATION_H

#include "simset.h"
#include "eventnotice.h"
#include "process.h"
#include "random.h"
#include "simset.h"
#include "thread.h"

//////////////////////////////////////////////////////////////////////
// Simulation.h: interface for the CSimulation class.
// Proces popisujici objekt CSimulation, zakladni tridy pro simulaci
//////////////////////////////////////////////////////////////////////

extern int argc;		// pocet parametru na prikazove radce
extern char *((*argv)[]);	// pole parametru na prikazove radce

class CSimulation : public CProcess
{
public:
	void Run(); // popisuje vlastni cinost procesu, nutne nadefinovat uzivatelem
	
	CSimulation(bool run = 1);
	virtual ~CSimulation();
};

#endif // !defined(SIMULATION_H)
